Imports Telerik.Web.UI
Partial Public Class Sample_GetDataBackOnSubmissionSample
    Inherits System.Web.UI.Page

    Protected Sub Page_Init(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Init
        Dim newdock As RadDock = CreateRadDock("dock1")
        newdock.Tag = "~/Sample/UserControl1.ascx"
        LoadWidget(newdock, "1")
        Me.zone1.Controls.Add(newdock)

        newdock = CreateRadDock("dock2")
        newdock.Tag = "~/Sample/UserControl2.ascx"
        LoadWidget(newdock, "2")
        Me.zone1.Controls.Add(newdock)
    End Sub
    Private Function CreateRadDock(ByVal id As String) As RadDock
        Dim dock As New RadDock()
        dock.UniqueName = id
        dock.ID = id
        dock.Title = id
        dock.Text = String.Format("Added at {0}", DateTime.Now)
        dock.Width = Unit.Pixel(300)
        dock.Commands.Add(New DockCloseCommand())
        dock.Commands.Add(New DockExpandCollapseCommand())
        Return dock
    End Function
    Private Sub LoadWidget(ByVal dock As RadDock, ByVal id As String)
        If String.IsNullOrEmpty(dock.Tag) Then
            Return
        End If
        Dim widget As Control = LoadControl(dock.Tag)
        dock.ContentContainer.Controls.Add(widget)
    End Sub
End Class
